=== projectmanagers/cmake/tests/manual/unit_tests/five/CMakeLists.txt ===
add_test(test_five four_test 5)
