=== debian/changelog ===
kdevelop (4:5.1.2-1ubuntu1) artful; urgency=medium

  * Sync with debian changes. Remaining changes:
    - Keep autotests
    - Revert the versioned clang dep - We don't have the mesa/llvm-default
      mismatch in ubuntu that caused debian bug #846410, so this only
      causes potential problems for us (LP: #1677140)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 30 Aug 2017 07:44:40 +0100

kdevelop (4:5.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.1.0, no changes required.
  * Bump the kdevplatform-dev build & runtime dependencies to 5.1.2, as
    indicated by the upstream build system.

 -- Pino Toscano <pino@debian.org>  Tue, 29 Aug 2017 21:11:16 +0200 

kdevelop (4:5.1.2-0ubuntu1) artful; urgency=medium

  * New upstream bugfix release (5.1.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 30 Aug 2017 00:04:50 +0100

kdevelop (4:5.1.1-1ubuntu1) artful; urgency=medium

  * Merge with debian. Remaining changes;
    - Add autotests
    - Revert the versioned clang dep - We don't have the mesa/llvm-default
      mismatch in ubuntu that caused debian bug #846410, so this only
      causes potential problems for us (LP: #1677140)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 06 Jul 2017 20:42:07 +0100

kdevelop (4:5.1.1-1) unstable; urgency=medium

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Make kdevelop depend upon kinit, it's required to get KIO support
    (Closes: #851701). Thanks George Kiagiadakis for the bug report.
  * Update packages descriptions to the more precise ones used by upstream.
    Thanks frinring for the tip!

  [ Pino Toscano ]
  * New upstream release.
  * Bump the kdevplatform-dev build & runtime dependencies to 5.1.1, as
    indicated by the upstream build system.
  * Update install files.
  * Bump Standards-Version to 4.0.0, no changes required.
  * Suggest cppcheck, as optional runtime tool.
  * Do not install the upstream README anymore.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Thu, 06 Jul 2017 12:04:11 +0200

kdevelop (4:5.1.1-0ubuntu1) artful; urgency=medium

  * New upstream release (5.1.1)
  * debian/control: Add cppcheck to suggests

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 27 May 2017 14:31:59 +0100

kdevelop (4:5.1.0-0ubuntu2) artful; urgency=medium

  * Rebuild against new llvm versioned symbols.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 01 May 2017 22:35:30 +0200

kdevelop (4:5.1.0-0ubuntu1) artful; urgency=medium

  * Bump private lib versions and paths, including corresponding lintian
    overrides.
  * Install LLDB plugin data formatters.
  * New upstream release (5.1.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 22 Apr 2017 22:36:06 +0100
