=== debian/control ===
Source: kdevelop
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>,
           Jeremy Lainé <jeremy.laine@m4x.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Andreas Cord-Landwehr <cola@uni-paderborn.de>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 0.0.9),
               kdevelop-pg-qt (>= 2.0),
               kdevplatform-dev (>= 5.1.2),
               libclang-dev,
               libkf5config-dev (>= 5.15.0),
               libkf5crash-dev (>= 5.15.0),
               libkf5declarative-dev (>= 5.15.0),
               libkf5doctools-dev (>= 5.15.0),
               libkf5i18n-dev (>= 5.15.0),
               libkf5iconthemes-dev (>= 5.15.0),
               libkf5itemmodels-dev (>= 5.15.0),
               libkf5itemviews-dev (>= 5.15.0),
               libkf5jobwidgets-dev (>= 5.15.0),
               libkf5kcmutils-dev (>= 5.15.0),
               libkf5kio-dev (>= 5.15.0),
               libkf5newstuff-dev (>= 5.15.0),
               libkf5notifyconfig-dev (>= 5.15.0),
               libkf5parts-dev (>= 5.15.0),
               libkf5plasma-dev [linux-any],
               libkf5runner-dev [linux-any],
               libkf5service-dev (>= 5.15.0),
               libkf5sysguard-dev,
               libkf5texteditor-dev (>= 5.15.0),
               libkf5threadweaver-dev (>= 5.15.0),
               libkf5windowsystem-dev (>= 5.15.0),
               libkf5xmlgui-dev (>= 5.15.0),
               libqt5webkit5-dev (>= 5.4.0),
               llvm-dev,
               okteta-dev (>= 4:16.08.0-1~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.4.0),
               qtdeclarative5-dev (>= 5.4.0),
               qttools5-dev,
               qttools5-dev-tools,
               shared-mime-info
XS-Testsuite: autopkgtest
Standards-Version: 4.1.0
Homepage: http://www.kdevelop.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdevelop
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdevelop

Package: kdevelop
Architecture: any
Depends: kdevelop-data (>= ${source:Version}),
         kinit,
         plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: g++, gcc, gdb (>= 7.0), kapptemplate, kio-extras, make
Suggests: cmake, cppcheck, kdevelop-l10n, ninja-build
Description: integrated development environment for C/C++ and other languages
 KDevelop is a Free and Open Source integrated development
 environment (IDE). It provides editing, navigation and debugging features for
 several programming languages, as well as integration with multiple build
 systems and version-control systems, using a plugin-based architecture.
 .
 KDevelop has parser backends for C, C++ and Javascript/QML, with further
 external plugins supporting e.g. PHP or Python.

Package: kdevelop-data
Architecture: all
Depends: plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick2,
         ${misc:Depends}
Breaks: kdevelop-doc (<< 4:4.3)
Replaces: kdevelop-doc (<< 4:4.3)
Description: data files for the KDevelop IDE
 KDevelop is a Free and Open Source integrated development
 environment (IDE). It provides editing, navigation and debugging features for
 several programming languages, as well as integration with multiple build
 systems and version-control systems, using a plugin-based architecture.
 .
 This package contains arch independent data for KDevelop.

Package: kdevelop-dev
Section: libdevel
Architecture: any
Depends: kdevelop (= ${binary:Version}),
         kdevplatform-dev (>= 5.1.2),
         ${misc:Depends}
Description: development files for the KDevelop IDE
 KDevelop is a Free and Open Source integrated development
 environment (IDE). It provides editing, navigation and debugging features for
 several programming languages, as well as integration with multiple build
 systems and version-control systems, using a plugin-based architecture.
 .
 This package contains development files for KDevelop.

Package: kdevelop-l10n
Section: localization
Architecture: all
Depends: kdevplatform-l10n, ${misc:Depends}
Replaces: kdevelop-l10n-ca,
          kdevelop-l10n-cavalencia,
          kdevelop-l10n-da,
          kdevelop-l10n-de,
          kdevelop-l10n-engb,
          kdevelop-l10n-es,
          kdevelop-l10n-et,
          kdevelop-l10n-fi,
          kdevelop-l10n-fr,
          kdevelop-l10n-gl,
          kdevelop-l10n-it,
          kdevelop-l10n-nds,
          kdevelop-l10n-nl,
          kdevelop-l10n-pt,
          kdevelop-l10n-ptbr,
          kdevelop-l10n-ru,
          kdevelop-l10n-sl,
          kdevelop-l10n-sv,
          kdevelop-l10n-th,
          kdevelop-l10n-tr,
          kdevelop-l10n-uk,
          kdevelop-l10n-zhcn,
          kdevelop-l10n-zhtw
Breaks: kdevelop-l10n-ca,
        kdevelop-l10n-cavalencia,
        kdevelop-l10n-da,
        kdevelop-l10n-de,
        kdevelop-l10n-engb,
        kdevelop-l10n-es,
        kdevelop-l10n-et,
        kdevelop-l10n-fi,
        kdevelop-l10n-fr,
        kdevelop-l10n-gl,
        kdevelop-l10n-it,
        kdevelop-l10n-nds,
        kdevelop-l10n-nl,
        kdevelop-l10n-pt,
        kdevelop-l10n-ptbr,
        kdevelop-l10n-ru,
        kdevelop-l10n-sl,
        kdevelop-l10n-sv,
        kdevelop-l10n-th,
        kdevelop-l10n-tr,
        kdevelop-l10n-uk,
        kdevelop-l10n-zhcn,
        kdevelop-l10n-zhtw
Recommends: kdevplatform-l10n
Description: localization files for the KDevelop IDE
 KDevelop is a Free and Open Source integrated development
 environment (IDE). It provides editing, navigation and debugging features for
 several programming languages, as well as integration with multiple build
 systems and version-control systems, using a plugin-based architecture.
 .
 This package contains the translations for KDevelop.

Package: plasma-kdevelop
Architecture: linux-any
Depends: kdevelop (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: KDevelop plugins for Plasma
 KDevelop is a Free and Open Source integrated development
 environment (IDE). It provides editing, navigation and debugging features for
 several programming languages, as well as integration with multiple build
 systems and version-control systems, using a plugin-based architecture.
 .
 This package contains the KDevelop plugins for integrating in the Plasma
 desktop environment:
  * sessions data engine
  * sessions widget
  * sessions KRunner module
